summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--net-misc/dibbler/Manifest3
-rw-r--r--net-misc/dibbler/dibbler-1.0.0.ebuild53
-rw-r--r--net-misc/dibbler/files/0001-musl-compatibility.patch81
3 files changed, 137 insertions, 0 deletions
diff --git a/net-misc/dibbler/Manifest b/net-misc/dibbler/Manifest
new file mode 100644
index 0000000..2fbe7b6
--- /dev/null
+++ b/net-misc/dibbler/Manifest
@@ -0,0 +1,3 @@
+AUX 0001-musl-compatibility.patch 2000 SHA256 d261fe0633d9bd0ee5c453ccda4c8f3834ae8199a51b0665dee8140473f7c0ce SHA512 792e9a57e0d227956d11fe53d69f614731417e7877b0f36b3d55dc50903dfd68c32e9624df6c8b0aa1d9fbae995f2f8333dbace6bacbe12e83869f6b186d3e4a WHIRLPOOL f45ca038e3965811cfb0c8038500df5662a80791cd03383c1b19b01f0421015a89868c53abec70f69da6c6a3356379d0fd7c59d047a4cab8f37cddba1699f3f5
+DIST dibbler-1.0.0.tar.gz 4372693 SHA256 51283702a1e56c1bfe56fb95469ec7b1fc56ecb8e9a2c6d296b81d43bec14048 SHA512 38eae78e5d5dab2484c6467eb91e7e8eed62067a1f375a9a0e0ed3639c1bd9db7230bc7a33ee41ffd785d031994c6bec4a6b2eb75bb5c0d4645c7e669f568434 WHIRLPOOL 80a9deb26802b0d26a108abffb09a9b3e81faf1e2fda1f25f5a71b855741ee967b82486e0f7e79f9d1560abd43dfe6934e2d69c486c6302f0154972041e98d46
+EBUILD dibbler-1.0.0.ebuild 1345 SHA256 84f62ea4bf8cfce589d2fbb7ff8b798f24f9b485f81ed5b7249a1fe743d9dc3f SHA512 dc23a7960686babcac118ea3cea20f4d5efa1459d5e91a44e01e0d29965c7756636dddb8134bbad5f3e2af17b84934aa269868f586f36d0861e05ce524263186 WHIRLPOOL ee0ea79ebd1f491daaf516cb45ceb2aa6c82fe1e97a413012821c2f44b43cd9b51cfaeae7fb4dcc3de3308d1d084b6f9e7d1507cf878f2cd7e20fcaa5518f950
diff --git a/net-misc/dibbler/dibbler-1.0.0.ebuild b/net-misc/dibbler/dibbler-1.0.0.ebuild
new file mode 100644
index 0000000..94af918
--- /dev/null
+++ b/net-misc/dibbler/dibbler-1.0.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/dibbler/dibbler-1.0.0.ebuild,v 1.4 2015/02/10 10:10:12 ago Exp $
+
+EAPI="5"
+inherit eutils readme.gentoo systemd
+
+DESCRIPTION="Portable DHCPv6 implementation (server, client and relay)"
+HOMEPAGE="http://klub.com.pl/dhcpv6/"
+SRC_URI="http://klub.com.pl/dhcpv6/dibbler/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 hppa ~mips x86"
+IUSE="doc"
+
+DEPEND="doc? ( || (
+ dev-texlive/texlive-latexextra
+ dev-tex/floatflt )
+ )"
+RDEPEND=""
+
+DOC_CONTENTS="Make sure that you modify client.conf, server.conf and/or relay.conf
+to suit your needs. They are stored in /etc/dibbler"
+
+src_prepare() {
+ epatch "${FILESDIR}/"0001-musl-compatibility.patch
+ epatch_user
+}
+
+src_compile() {
+ emake
+ # devel documentation is broken and users should consult the online version
+ # http://klub.com.pl/dhcpv6/doxygen/
+ use doc && emake -C doc/ user
+}
+
+src_install() {
+ readme.gentoo_create_doc
+
+ dosbin dibbler-{client,relay,server}
+ doman doc/man/*.8
+
+ insinto /etc/dibbler
+ doins doc/examples/*.conf
+ dodir /var/lib/dibbler
+
+ dodoc AUTHORS CHANGELOG RELNOTES TODO
+ use doc && dodoc doc/dibbler-user.pdf
+
+ doinitd "${FILESDIR}"/dibbler-{client,relay,server}
+ systemd_dounit "${FILESDIR}"/dibbler-client.service
+}
diff --git a/net-misc/dibbler/files/0001-musl-compatibility.patch b/net-misc/dibbler/files/0001-musl-compatibility.patch
new file mode 100644
index 0000000..cbdba62
--- /dev/null
+++ b/net-misc/dibbler/files/0001-musl-compatibility.patch
@@ -0,0 +1,81 @@
+From fb2e18a2c64a6870c018b101ddb8c4445dea2d81 Mon Sep 17 00:00:00 2001
+From: root <root@scylla.nibylandia>
+Date: Thu, 11 Jun 2015 18:10:51 +0200
+Subject: [PATCH] musl compatibility
+
+---
+ Misc/Portable.h | 4 ++++
+ Port-linux/ethtool-local.h | 6 +++---
+ Port-linux/lowlevel-linux-link-state.c | 4 +++-
+ Port-linux/utils.h | 5 +++++
+ 4 files changed, 15 insertions(+), 4 deletions(-)
+
+diff --git a/Misc/Portable.h b/Misc/Portable.h
+index 51415cc..b974eaa 100644
+--- a/Misc/Portable.h
++++ b/Misc/Portable.h
+@@ -29,6 +29,10 @@
+ #include <arpa/inet.h>
+ #endif
+
++#if defined(LINUX)
++# include <sys/select.h>
++#endif
++
+ #include <stdint.h>
+ #include <unistd.h>
+
+diff --git a/Port-linux/ethtool-local.h b/Port-linux/ethtool-local.h
+index 2940090..555f06b 100644
+--- a/Port-linux/ethtool-local.h
++++ b/Port-linux/ethtool-local.h
+@@ -22,9 +22,9 @@
+ */
+
+ typedef unsigned long long u64;
+-typedef __uint32_t u32;
+-typedef __uint16_t u16;
+-typedef __uint8_t u8;
++typedef uint32_t u32;
++typedef uint16_t u16;
++typedef uint8_t u8;
+
+ #include "ethtool-kernel.h"
+
+diff --git a/Port-linux/lowlevel-linux-link-state.c b/Port-linux/lowlevel-linux-link-state.c
+index 7ca9f6b..76293ea 100644
+--- a/Port-linux/lowlevel-linux-link-state.c
++++ b/Port-linux/lowlevel-linux-link-state.c
+@@ -18,7 +18,9 @@
+ #include <stdlib.h>
+ #include <string.h>
+ #include <unistd.h>
+-#include <bits/sigthread.h>
++#if defined(__GLIBC__)
++# include <bits/sigthread.h>
++#endif
+ #include "Portable.h"
+ #include "interface.h"
+
+diff --git a/Port-linux/utils.h b/Port-linux/utils.h
+index e40d95f..579dffb 100644
+--- a/Port-linux/utils.h
++++ b/Port-linux/utils.h
+@@ -1,9 +1,14 @@
+ #ifndef __UTILS_H__
+ #define __UTILS_H__ 1
+
++#ifndef _GNU_SOURCE
++# define _GNU_SOURCE 1
++#endif
++
+ #include <asm/types.h>
+ //#include <resolv.h>
+ #include <linux/types.h>
++#include <sys/types.h>
+
+ #include "libnetlink.h"
+ #include "ll_map.h"
+--
+2.4.3
+